Index: DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,6 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
+import gssim.schedframe.scheduling.Executable;
 
 import java.util.ArrayList;
@@ -28,5 +29,4 @@
 import schedframe.scheduling.queue.TaskQueue;
 import schedframe.scheduling.queue.TaskQueueList;
-import schedframe.scheduling.tasks.SubmittedTask;
 import schedframe.scheduling.tasks.TaskInterface;
 import schedframe.scheduling.tasks.WorkloadUnit;
@@ -39,5 +39,5 @@
 	}
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
 
@@ -58,5 +58,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 
 					Map<ResourceUnitName, ResourceUnit> choosenResources = chooseResourcesForExecution(resourceManager, task);
@@ -76,6 +76,6 @@
 		case TASK_FINISHED:
 			TaskFinishedEvent finEvent = (TaskFinishedEvent) event;
-			SubmittedTask subTask = (SubmittedTask )jobRegistry.getSubmittedTask(finEvent.getJobId(), finEvent.getTaskId());
-			UsedResourceList<ResourceHistoryItem> usedResourcesList = subTask.getUsedResources();
+			Executable exec = (Executable) jobRegistry.getExecutable(finEvent.getJobId(), finEvent.getTaskId());
+			UsedResourceList<ResourceHistoryItem> usedResourcesList = exec.getUsedResources();
 			ProcessingElements pes = (ProcessingElements)usedResourcesList.getLast().getResourceUnits().get(StandardResourceUnitName.PE);
 			List<Processor> processors =  new ArrayList<Processor>();
@@ -89,6 +89,6 @@
 		case TASK_REQUESTED_TIME_EXPIRED:
 			TaskRequestedTimeExpiredEvent timExpEvent = (TaskRequestedTimeExpiredEvent) event;
-			 subTask = (SubmittedTask )jobRegistry.getSubmittedTask(timExpEvent.getJobId(), timExpEvent.getTaskId());
-			usedResourcesList = subTask.getUsedResources();
+			exec = (Executable) jobRegistry.getExecutable(timExpEvent.getJobId(), timExpEvent.getTaskId());
+			usedResourcesList = exec.getUsedResources();
 			pes = (ProcessingElements)usedResourcesList.getLast().getResourceUnits().get(StandardResourceUnitName.PE);
 			processors =  new ArrayList<Processor>();
@@ -101,5 +101,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 
 					Map<ResourceUnitName, ResourceUnit> choosenResources = chooseResourcesForExecution(resourceManager, task);
Index: DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 
 import java.util.ArrayList;
@@ -26,5 +26,5 @@
 	}
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
 
@@ -45,5 +45,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 
 					String nodeName = chooseProviderForExecution(resourceManager, task);
Index: DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/BaseLocalSchedulingPlugin.java	(revision 481)
@@ -10,5 +10,5 @@
 import schedframe.resources.units.ResourceUnit;
 import schedframe.resources.units.ResourceUnitName;
-import schedframe.scheduling.WorkloadUnitListImpl;
+import schedframe.scheduling.TaskListImpl;
 import schedframe.scheduling.manager.resources.ResourceManager;
 import schedframe.scheduling.manager.tasks.JobRegistryImpl;
@@ -22,5 +22,4 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import schedframe.scheduling.tasks.WorkloadUnit;
 import schemas.StringValueWithUnit;
 
@@ -46,5 +45,5 @@
 	}
 	
-	public int placeJobsInQueues(WorkloadUnitListImpl newJobs,
+	public int placeTasksInQueues(TaskListImpl newTasks,
 			TaskQueueList queues, 
 			ResourceManager resourceManager, ModuleList moduleList) {
@@ -53,6 +52,6 @@
 		TaskQueue queue = queues.get(0);
 
-		for(int i = 0; i < newJobs.size(); i++){
-			WorkloadUnit task = newJobs.get(i);
+		for(int i = 0; i < newTasks.size(); i++){
+			TaskInterface<?> task = newTasks.get(i);
 			queue.add(task);
 		}
Index: DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/RackLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.scheduling.manager.resources.ClusterResourceManager;
@@ -19,5 +19,5 @@
 	}
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
 
@@ -39,5 +39,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 					System.out.println(resourceManager.getSchedulers().get(0).get_name());
 					String nodeName = resourceManager.getSchedulers().get(0).get_name();
Index: DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 
 import java.util.ArrayList;
@@ -52,5 +52,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 					
 					/****************3 ways to schedule task****************/
Index: DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 
 import java.util.ArrayList;
@@ -35,5 +35,5 @@
 	}
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
 
@@ -54,5 +54,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 
 					Map<ResourceUnitName, ResourceUnit> choosenResources = chooseResourcesForExecution(resourceManager, task);
Index: DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 
 import java.util.List;
@@ -47,5 +47,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 					/*for(ResourceUnitName key:resManager.getSharedResourceUnits().keySet()){
 						System.out.println(key.getName());
Index: DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFS_BFLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 import schedframe.events.scheduling.SchedulingEvent;
 import schedframe.scheduling.manager.resources.ResourceManager;
@@ -33,5 +33,5 @@
 				
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 					addToSchedulingPlan(plan, task);
 				}
Index: DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 478)
+++ DCWoRMS/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 481)
@@ -1,5 +1,5 @@
 package example.localplugin;
 
-import gridsim.Gridlet;
+import gridsim.gssim.DCWormsTags;
 
 import java.util.ArrayList;
@@ -35,5 +35,5 @@
 	}
 
-	public SchedulingPlanInterface schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
+	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
 			ResourceManager resManager, ModuleList modules) {
 
@@ -54,5 +54,5 @@
 				TaskInterface<?> task = (TaskInterface<?>) job;
 				// if status of the tasks in READY
-				if (task.getStatus() == Gridlet.READY) {
+				if (task.getStatus() == DCWormsTags.READY) {
 
 					Map<ResourceUnitName, ResourceUnit> choosenResources = null;
